<hdlassembly>
  <!-- tx -->
  <instance worker='fs_div_4_generator_csts'/>
  <instance worker='fs_div_4_generator_csts'/>
  <connection name='out_from_asm_tx_path_to_dac0' external='producer'>
    <port instance='fs_div_4_generator_csts0' name='out'/>
  </connection>
  <connection name='out_from_asm_tx_path_to_dac1' external='producer'>
    <port instance='fs_div_4_generator_csts1' name='out'/>
  </connection>
  <!-- rx -->
  <instance worker='csts_to_iqstream'/>
  <instance worker='csts_to_iqstream'/>
  <instance worker='fifo'/>
  <instance worker='fifo'/>
  <connection name='in_to_asm_rx_path_from_adc0' external='consumer'>
    <port instance='csts_to_iqstream0' name='in'/>
  </connection>
  <connection>
    <port instance='csts_to_iqstream0' name='out'/>
    <port instance='fifo0' name='in'/>
  </connection>
  <connection name='out_from_asm_rx_path0' external='producer'>
    <port instance='fifo0' name='out'/>
  </connection>
  <connection name='in_to_asm_rx_path_from_adc1' external='consumer'>
    <port instance='csts_to_iqstream1' name='in'/>
  </connection>
  <connection>
    <port instance='csts_to_iqstream1' name='out'/>
    <port instance='fifo1' name='in'/>
  </connection>
  <connection name='out_from_asm_rx_path1' external='producer'>
    <port instance='fifo1' name='out'/>
  </connection>
</hdlassembly>
